org.richfaces.component

## Enum StackingDirection

- java.lang.Object
- - java.lang.Enum<StackingDirection>
  - - org.richfaces.component.StackingDirection

- All Implemented Interfaces:
    Serializable, Comparable<StackingDirection>

      public enum StackingDirection
      extends Enum<StackingDirection>

  Author:
    Lukas Fryc

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `horizontal`
    `vertical`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static StackingDirection` | `DEFAULT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StackingDirection` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static StackingDirection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### vertical

          public static final StackingDirection vertical

    - #### horizontal

          public static final StackingDirection horizontal

  - ### Field Detail

    - #### DEFAULT

          public static final StackingDirection DEFAULT

  - ### Method Detail

    - #### values

          public static StackingDirection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StackingDirection c : StackingDirection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StackingDirection valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.